cURL
curl --request POST \ --url https://statsigapi.net/console/v1/release_pipelines/{id} \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "name": "<string>", "phases": [ { "name": "<string>", "timeIntervalMs": 123, "requiredReview": true, "rules": [ { "name": "<string>", "conditions": [ { "type": "app_version", "targetValue": [ "<string>" ], "operator": "<string>", "field": "<string>", "customID": "<string>" } ], "id": "<string>", "environments": [ "<string>" ] } ], "id": "<string>" } ], "triggerNotice": "<string>" } '
{ "message": "Get pipeline success", "data": { "id": "45aiIXz4aaAadWtYEetjko", "name": "Pipeline 1", "creatorID": "24hiIXz3kbFaDwtYEetv2i", "createdTime": 1705439406615, "lastModifierID": "24hiIXz3kbFaDwtYEetv2i", "lastModifiedTime": 1705439406615, "phases": [ { "id": "24hiIXz3kbFaDwtYEetv2i", "name": "Phase 1", "timeIntervalMs": 3600000, "requiredReview": false, "rules": [ { "id": "24hiIXz3kbFaDwtYEetv2i", "name": "Rule", "conditions": [ { "type": "app_version", "targetValue": [ "1", "222" ], "operator": "any" } ], "environments": null } ] } ] } }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Pipeline Name
Phases of the release pipeline that will be executed in order.
Show child attributes
A notice that will be displayed to the user on the config page when the release pipeline is triggered
Update pipeline
A simple string explaining the result of the operation.
A single result.
Was this page helpful?